%global gem_name rouge

Name:		rubygem-%{gem_name}
Version:	1.11.1
Release:	2%{?dist}
Summary:	Simple, easy-to-extend drop-in replacement for pygments

License:	MIT and BSD
URL:		http://%{gem_name}.jneen.net
Source0:	https://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildArch:	noarch
BuildRequires:	help2man
BuildRequires:	rubygems-devel

%description
Rouge is a pure-ruby syntax highlighter.  It can highlight 100
different languages, and output HTML or ANSI 256-color text.
Its HTML output is compatible with style-sheets designed for pygments.


%package doc
Summary:	Documentation files for %{name}

%description doc
This package contains the documentation files for %{name}.


%prep
%{__rm} -rf %{gem_name}-%{version}
%{_bindir}/gem unpack %{SOURCE0}
%setup -DTqn %{gem_name}-%{version}
%{_bindir}/gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
f="bin/rougify"
%{__sed} -e '1s:^#![ \t]*%{_bindir}/env ruby:#!%{_bindir}/ruby:'	\
	< ${f} > ${f}.new &&						\
/bin/touch -r ${f} ${f}.new && %{__mv} -f ${f}.new ${f}
f="lib/rouge/demos/perl"
%{__sed} -e '1s:^#![ \t]*%{_bindir}/env perl:#!%{__perl}:'		\
	< ${f} > ${f}.new &&						\
/bin/touch -r ${f} ${f}.new && %{__mv} -f ${f}.new ${f} &&		\
%{__chmod} -c 0755 ${f}
/bin/find lib/rouge/lexers/ -name '*.rb' -type f -print0 |		\
	%{_bindir}/xargs -0 %{__chmod} -c 0644


%build
%{_bindir}/gem build %{gem_name}.gemspec
%gem_install


%install
%{__mkdir} -p %{buildroot}%{_bindir} %{buildroot}%{gem_dir}		\
		%{buildroot}%{_mandir}/man1
%{__cp} -a ./%{_bindir}/* %{buildroot}%{_bindir}
%{__cp} -a ./%{gem_dir}/* %{buildroot}%{gem_dir}
%{__rm} -f %{buildroot}%{gem_instdir}/{*.gemspec,LICENSE}
export GEM_PATH="%{buildroot}%{gem_dir}:%{gem_dir}"
%{_bindir}/help2man -N -s1 -o %{buildroot}%{_mandir}/man1/rougify.1	\
	%{buildroot}%{_bindir}/rougify


%files
%exclude %{gem_cache}
%license LICENSE
%{_bindir}/rougify
%{_mandir}/man1/rougify.1*
%{gem_instdir}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Aug 23 2016 Björn Esser <fedora@besser82.io> - 1.11.1-1
- initial import (#1368850)

* Sun Aug 21 2016 Björn Esser <fedora@besser82.io> - 1.11.1-0.1
- initial rpm-release (#1368850)
